Subject: Platform bus/ppc sys model...

From: Jakob Viketoft <[email-masked]>
Date: Wed, 30 Mar 2005 10:00:09 +0200

Hello everyone!

This is a mail I sent to Kumar Gala, but as he rightly pointed out that 
more people might benefit from the information and contribute to it, I 
send it to the list instead.

Is there some good documentation about how to use the platform bus / ppc
sys model or is it only possible to read and try to understand the code
for the freescale devices?

Specifically, how do you make the kernel aware of a certain device and
what else is required? Do I have to "connect" the device and the driver
or will the new model find this out automagically? I'm looking at adding 
the usual serials, emacs etc...

Lastly, I suppose this will be the way all platforms should connect
their boards with the devices "from now on", right?

Cheers!

	/Jakob